Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 232054 - Stabilization of gstreamer plugins 0.10.20
Summary: Stabilization of gstreamer plugins 0.10.20
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 215972
Blocks: 229709 233766 236971
  Show dependency tree
 
Reported: 2008-07-17 09:06 UTC by Gilles Dartiguelongue
Modified: 2009-04-05 17:58 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
bump.list (bump.list,6.48 KB, text/plain)
2008-07-17 09:08 UTC, Gilles Dartiguelongue
Details
media-libs/gst-plugins-base-0.10.20-failure.log (media-libs:gst-plugins-base-0.10.20:20080804-193136.log,421.14 KB, text/plain)
2008-08-04 19:39 UTC, Markus Meier
Details
gst-plugins-base Tests passed successfully (gst-plugins-base_tests-passed.log,4.29 KB, patch)
2008-08-08 04:14 UTC, Nirbheek Chauhan (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gilles Dartiguelongue gentoo-dev 2008-07-17 09:06:12 UTC
Hi guys, 

following discussion I had with drac:

12:13 < EvaSDK> drac: I was wondering if you had any idea if gstreamer 
                >=0.10.17 can go stable ?
12:15 < drac> EvaSDK: As I said to leio in #-dev ffew days ago, one should get 
              a list of all the latest plugins (media-libs/gst*, 
              media-plugins/gst-*, dev-python/gst-python) and make a list out 
              of them for archteams
12:15 < drac> EvaSDK: It's easy, just pick latest. This way we get versions 
              from same "time period" and most likely scenario where everything 
              is compatible with each other...
12:16 < drac> EvaSDK: It's not full 30 days, but I don't care ;-) Just do it 
              when it's needed, or i'll do it when i'll get back from dam
12:18 < drac> One can propably throw in latest banshee, gnomebaker, and some 
              other gnome apps with it..
12:18 < EvaSDK> hum at least one app from gnome 2.22 needs >=0.10.17
12:18 < EvaSDK> but it seems 0.10.20 is causing problems for some people
12:19 < EvaSDK> so if you have any idea of a "safe" set, I can try to make a 
                list of that
12:19 < drac> EvaSDK: It might be that the parameters that are passed in 
              gst-plugins-good ebuild now, need to actually be also passed in 
              gst-plugins-gconf ebuild too..
12:19 < drac> EvaSDK: I left with that open question |
12:19 < drac> :|
12:20 < EvaSDK> hum
12:20 < drac> The default audio sink / visualization thingy.. 
12:20 < EvaSDK> are you coming back any time soon ?
12:20 < drac> 10 days..
12:21 < drac> I'm on a stolen internet connection with friends vista-laptop so 
              not much of use here.. :-D
12:21 < EvaSDK> hehe
12:21 < drac> + it's dam, i'm too stoned *gg*
12:22 < EvaSDK> I'll send that discussion to other gnome team members and see 
                if we can solve this before you come back or not
12:22 < EvaSDK> thanks for the heads up
12:23 < drac> basically any user that has problems.. need to try the parameters 
              in gst-plugins-gconf ebuild
12:23 < drac> re-emerge it
12:23 < drac> report back
12:24 < drac> if that helps, proceed with the archteam CCing..

I've started building a stabilization list for gstreamer. I've haven't looked into gst-plugins-gconf yet.
Comment 1 Gilles Dartiguelongue gentoo-dev 2008-07-17 09:08:20 UTC
Created attachment 160624 [details]
bump.list

here is the list, as drac said, it contains the latest versions for all packages as of the last sync of my box. Please review/comment.
Comment 2 Pacho Ramos gentoo-dev 2008-07-17 18:42:43 UTC
I have updated to latest gst* and seems to work ok on amd64. I cannot test all plugins (for example mythtv) then, if you want a detailed list of gst-plugins I use please ask. For now, banshee, totem, rhythmbox, sound-juicer and nautilus previews seems to still work ok

My emerge --info (amd64 arch):
Portage 2.1.4.4 (default/linux/amd64/2008.0/desktop, gcc-4.1.2, glibc-2.6.1-r0, 2.6.25-gentoo-r6 x86_64)
=================================================================
System uname: 2.6.25-gentoo-r6 x86_64 AMD Athlon(tm) 64 Processor 3200+
Timestamp of tree: Thu, 17 Jul 2008 15:30:02 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.4.4-r13
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r2
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=k8 -O2 -pipe -msse3"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=k8 -O2 -pipe -msse3"
DISTDIR="/usr/distfiles"
FEATURES="autoaddcvs ccache collision-protect cvs distlocks metadata-transfer multilib-strict parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://ftp.free.fr/mirrors/ftp.gentoo.org"
LANG="es_ES.UTF-8"
LC_ALL="es_ES.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="es es_ES en_US"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/sunrise /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aac acl acpi alsa amd64 asf audiofile avahi bash-completion beagle berkdb bzip2 bzlib cairo caps cdb cdda cddb cdparanoia cdr cli consolekit cpdflib cpudetection cracklib cross crypt cups curl daap dbus dga divx4linux djvu dlloader dri dts dv dvb dvd dvdr dvdread eds emboss encode erandom escreen evo evolution exif fam fame fbcon ffmpeg flac foomaticdb fortran ftp galago gb gcj gd ggi gif gimp gimpprint git glitz glut glx gnome gnome-keyring gnome-print gphoto2 gpm gstreamer gtk gtk2 gtkhtml hal hddtemp iconv idn imagemagick imlib isdnlog ithreads jabber java jpeg kde kdeenablefinal kdehiddenvisibility kpathsea ladspa lame latex lcms libnotify lm_sensors logrotate mad madwifi midi mikmod mime mjpeg mmx mmxext mng mono moonlight motif mp3 mpeg mpi mplayer mudflap multilib musepack musicbrainz nas nautilus ncurses nethack network nls nocardbus nptl nptlonly nvidia ogg oggvorbis openal opengl openmp pam pch pcre pdf perl plotutils png posix ppds pppd python qt3 qt3support qt4 quicktime readline reflection remote rtc scanner sdl session slang slp sockets spell spl sse sse2 sse3 ssl startup-notification subversion svg sysvipc tcltk tcpd theora threads thunderbird tiff timidity tk totem trayicon truetype unicode usb v4l v4l2 vcd videos vim vorbis wma wmf xattr xcb xcomposite xft xine xml xml2 xorg xpm xulrunner xv xvid xvmc zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="es es_ES en_US" USERLAND="GNU" VIDEO_CARDS="nvidia nv vesa fbdev vga"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 Olivier Crete (RETIRED) gentoo-dev 2008-07-19 19:34:17 UTC
its strange, because gst-p-good forces the default audio sink to be autoaudiosink, buts thats already the default in the configure file, so it should not be needed.. I don't see how that would break it.
Comment 4 Pacho Ramos gentoo-dev 2008-07-20 12:16:56 UTC
(In reply to comment #3)
> its strange, because gst-p-good forces the default audio sink to be
> autoaudiosink, buts thats already the default in the configure file, so it
> should not be needed.. I don't see how that would break it.
> 

Upstream suggests it as a workaround until 0.10.9 is released for solving:
http://bugzilla.gnome.org/show_bug.cgi?id=532295

I have also checked fedora's src.rpm and they are workarounding it in the same way
Comment 5 Pacho Ramos gentoo-dev 2008-07-24 19:09:16 UTC
(In reply to comment #0)
> 12:19 < drac> EvaSDK: It might be that the parameters that are passed in 
>               gst-plugins-good ebuild now, need to actually be also passed in 
>               gst-plugins-gconf ebuild too..
> 12:19 < drac> EvaSDK: I left with that open question |
> 12:19 < drac> :|
> 12:20 < EvaSDK> hum
> 12:20 < drac> The default audio sink / visualization thingy.. 
> ...
> 12:24 < drac> if that helps, proceed with the archteam CCing..
> 
> I've started building a stabilization list for gstreamer. I've haven't looked
> into gst-plugins-gconf yet.
> 

O. Crete released gst-plugins-gconf-0.10.8-r1 adding this parameters also to this, then, all people should have now resolved this problem (but attached list should be updated to -r1)

About gst-plugins-ffmpeg, I use latest ffmpeg, but I don't know if it's ready to go stable (also, a lot of other packages depending on ffmpeg should also go to stable)
Comment 6 Gilles Dartiguelongue gentoo-dev 2008-07-26 18:37:21 UTC
moving per comment #0

Hello arches, please proceed to stabilization of the modules listed in attachment #160624 [details].

You can skip gst-ffmpeg and gst-plugins-farsight for now.
Comment 7 Olivier Crete (RETIRED) gentoo-dev 2008-07-26 19:21:24 UTC
btw, you want gst-plugins-gconf 0.10.8-r1 ..
Comment 8 Olivier Crete (RETIRED) gentoo-dev 2008-07-26 19:39:06 UTC
also, gst-plugins-opengl should not be stabilized
Comment 9 Olivier Crete (RETIRED) gentoo-dev 2008-07-26 20:47:35 UTC
amd64 done
Comment 10 Brent Baude (RETIRED) gentoo-dev 2008-07-30 14:21:14 UTC
ppc done
Comment 11 Brent Baude (RETIRED) gentoo-dev 2008-07-31 17:08:37 UTC
ppc64 done
Comment 12 Raúl Porcel (RETIRED) gentoo-dev 2008-07-31 18:56:05 UTC
ia64/sparc stable
Comment 13 Markus Meier gentoo-dev 2008-08-04 19:20:17 UTC
media-libs/gmyth-0.7 fails test-suite:

make[2]: Entering directory `/var/tmp/portage/media-libs/gmyth-0.7/work/gmyth/tests'
if i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I.. -I.. -I.. -I../src -I../src -I/usr/include/mysql -DHAVE_ERRNO_AS_DEFINE=1 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include        -O2 -march=i686 -pipe -Wall -I/usr/include -O2 -DG_DISABLE_CHECKS -MT main.o -MD -MP -MF ".deps/main.Tpo" -c -o main.o main.c; \
	then mv -f ".deps/main.Tpo" ".deps/main.Po"; else rm -f ".deps/main.Tpo"; exit 1; fi
main.c:3:25: error: gmyth/gmyth.h: No such file or directory
main.c: In function 'main':
main.c:11: error: 'GMythURI' undeclared (first use in this function)
main.c:11: error: (Each undeclared identifier is reported only once
main.c:11: error: for each function it appears in.)
main.c:11: error: 'gmyth_uri' undeclared (first use in this function)
main.c:13: error: 'GMythBackendInfo' undeclared (first use in this function)
main.c:13: error: 'backend_info' undeclared (first use in this function)
main.c:17: warning: implicit declaration of function 'fprintf'
main.c:17: warning: incompatible implicit declaration of built-in function 'fprintf'
main.c:17: error: 'stdout' undeclared (first use in this function)
main.c:18: warning: implicit declaration of function 'fflush'
main.c:19: warning: implicit declaration of function 'getchar'
main.c:21: warning: implicit declaration of function 'gmyth_backend_info_new'
main.c:22: warning: implicit declaration of function 'gmyth_uri_new_with_value'
main.c:24: warning: implicit declaration of function 'gmyth_backend_info_set_hostname'
main.c:25: warning: implicit declaration of function 'gmyth_uri_get_host'
main.c:26: warning: implicit declaration of function 'gmyth_backend_info_set_port'
main.c:27: warning: implicit declaration of function 'gmyth_uri_get_port'
main.c:29: warning: implicit declaration of function 'gmyth_util_file_exists'
main.c:34: error: 'GMythFileTransfer' undeclared (first use in this function)
main.c:34: error: 'file_transfer' undeclared (first use in this function)
main.c:35: warning: implicit declaration of function 'gmyth_file_transfer_new'
main.c:37: warning: implicit declaration of function 'gmyth_file_transfer_open'
main.c:44: warning: implicit declaration of function 'gmyth_file_transfer_get_filesize'
main.c:52: warning: implicit declaration of function 'gmyth_file_transfer_read'
make[2]: *** [main.o] Error 1
make[2]: Leaving directory `/var/tmp/portage/media-libs/gmyth-0.7/work/gmyth/tests'
make[1]: *** [check-am] Error 2
make[1]: Leaving directory `/var/tmp/portage/media-libs/gmyth-0.7/work/gmyth/tests'
make: *** [check-recursive] Error 1
 * 
 * ERROR: media-libs/gmyth-0.7 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_test
 *             environment, line  415:  Called die
 * The specific snippet of code:
 *               hasq test $FEATURES && die "Make check failed. See above for details.";
 *  The die message:
 *   Make check failed. See above for details.
 * 
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/log/portage/media-libs:gmyth-0.7:20080804-191432.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-libs/gmyth-0.7/temp/environment


Portage 2.1.4.4 (default/linux/x86/2008.0/desktop, gcc-4.1.2, glibc-2.6.1-r0, 2.6.25.10 i686)
=================================================================
System uname: 2.6.25.10 i686 Intel(R) Core(TM)2 Duo CPU T8300 @ 2.40GHz
Timestamp of tree: Sun, 03 Aug 2008 14:36:01 +0000
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.3.6-r6, 2.4.4-r13, 2.5.2-r6
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r2
sys-devel/automake:  1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /opt/openfire/resources/security/ /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/bind /var/spool/torque"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="collision-protect distlocks metadata-transfer parallel-fetch sandbox sfperms strict test unmerge-orphans userfetch userpriv usersandbox"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LDFLAGS="-Wl,-O1"
PKGDIR="/mnt/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acl acpi alsa apache2 berkdb bluetooth branding bzip2 cairo cdr cli cracklib crypt cups dbus doc dri dvd dvdr dvdread eds emboss encode esd evo examples fam firefox fortran gdbm gif gnome gpm gstreamer gtk hal iconv ipv6 isdnlog jpeg kde kerberos ldap libnotify mad midi mikmod mp3 mpeg mudflap ncurses nls nptl nptlonly ogg opengl openmp pam pcre pdf perl png ppds pppd python qt3 qt3support qt4 quicktime readline reflection sdl session source spell spl ssl startup-notification svg sysfs tcpd test tiff truetype unicode usb vorbis win32codecs x86 xml xorg xv zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="fbdev glint i810 mach64 mga neomagic nv r128 radeon savage sis tdfx trident vesa vga via vmware voodoo"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 14 Markus Meier gentoo-dev 2008-08-04 19:39:52 UTC
Created attachment 162214 [details]
media-libs/gst-plugins-base-0.10.20-failure.log

media-libs/gst-plugins-base-0.10.20 fails too (emerge --info above).
Comment 15 Tobias Klausmann gentoo-dev 2008-08-07 22:19:24 UTC
I just commited a metric ass-ton of stabilizations.

Things that I didn't:

=media-plugins/gst-plugins-libvisual-0.10.17 looks like it's non-existant, skipped.

media-plugins/gst-plugins-raw1394 needs media-libs/libiec61883 which needs keywording. I don't have the hardware to test, so I skipped both.
Comment 16 Tobias Klausmann gentoo-dev 2008-08-07 22:19:59 UTC
Oh, I forgot. All of those are for alpha. Sorry for the spam.
Comment 17 Nirbheek Chauhan (RETIRED) gentoo-dev 2008-08-08 04:14:49 UTC
Created attachment 162491 [details, diff]
gst-plugins-base Tests passed successfully

(In reply to comment #14)
> Created an attachment (id=162214) [edit]
> media-libs/gst-plugins-base-0.10.20-failure.log
> 
> media-libs/gst-plugins-base-0.10.20 fails too (emerge --info above).
> 

Strange, it passes all tests for me; partial log attached

emerge --info:
-----------------
Portage 2.2_rc6 (default/linux/x86/2008.0/desktop, gcc-4.3.1, glibc-2.8_p20080602-r0, 2.6.26-gentoo i686)
=================================================================
System uname: Linux-2.6.26-gentoo-i686-Intel-R-_Pentium-R-_M_processor_1.86GHz-with-glibc2.0
Timestamp of tree: Wed, 06 Aug 2008 21:30:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p39
dev-lang/python:     2.5.2-r7
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.5
sys-apps/sandbox:    1.2.18.1-r3
sys-devel/autoconf:  2.13, 2.62-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.4
virtual/os-headers:  2.6.25-r4
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium-m -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=pentium-m -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache collision-protect distcc distlocks parallel-fetch preserve-libs sandbox sfperms strict unmerge-orphans userfetch userpriv usersandbox"
GENTOO_MIRRORS="ftp://172.31.76.254/gentoo"
LDFLAGS="-Wl,--as-needed -Wl,--hash-style=gnu"
LINGUAS="en en_IN en_GB"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://172.31.76.254/gentoo-portage"
USE="X aac acl acpi alsa avahi bash-completion bluetooth branding bzip2 cairo cdr cli cracklib crypt cscope dbus dri dvd dvdr dvdread eds emboss encode esd evo exif ffmpeg firefox flac fortran gdbm gif gnome gnome-keyring gpm gstreamer gtk hal iconv imap ipod ipv6 isdnlog jabber jpeg jpeg2k libnotify mad matroska mbox midi mikmod mime mmx mono mp3 mpeg mudflap nautilus ncurses networkmanager nls nptl nptlonly nsplugin offensive ogg opengl openmp pam pcre pdf perl png ppds pppd pulseaudio python qt3support quicktime readline reflection samba sdl session shorten slang spell spl sqlite sse sse2 ssl startup-notification svg sysfs tcpd tetex theora tiff truetype unicode usb vcd vorbis wifi win32codecs x86 xattr xcb xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_IN en_GB" USERLAND="GNU" VIDEO_CARDS="radeon fbdev"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 18 Markus Meier gentoo-dev 2008-08-08 05:04:41 UTC
(In reply to comment #13)
> ACCEPT_KEYWORDS="x86"

(In reply to comment #17)
> ACCEPT_KEYWORDS="x86 ~x86"

I'd prefer having a test on a stable box...
Comment 19 Raúl Porcel (RETIRED) gentoo-dev 2008-08-08 16:41:09 UTC
alpha stable by klausman.

Markus: AFAICR from the last gstreamer stabilization bug, test failures weren't important.
Comment 20 Markus Meier gentoo-dev 2008-08-08 19:36:30 UTC
x86 stable, last step for gnome stabilisation =)
Comment 21 Jeroen Roovers (RETIRED) gentoo-dev 2008-09-23 21:00:25 UTC
  media-libs/gst-plugins-base/gst-plugins-base-0.10.20.ebuild: ppc64(default-linux/ppc/ppc64/2007.0/64bit-userland) ['>=dev-libs/liboil-0.3.14']
Comment 22 Jeroen Roovers (RETIRED) gentoo-dev 2008-09-23 21:59:20 UTC
Stable for HPPA.
Comment 23 Brent Baude (RETIRED) gentoo-dev 2008-10-04 15:46:42 UTC
Ok. repoman looks happy now.  I'm not sure how I would have missed that in the original commits...sorry, good to go now
Comment 24 Samuli Suominen (RETIRED) gentoo-dev 2008-12-23 20:22:11 UTC
gst-plugins-gconf-0.10.6.ebuild:KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 sh sparc x86 ~x86-fbsd"
gst-plugins-gconf-0.10.8-r1.ebuild:KEYWORDS="~alpha amd64 ~arm hppa ia64 ppc ppc64 ~sh sparc ~x86 ~x86-fbsd"

Somehow alpha/x86 missed 0.10.8-r1.
Comment 25 Tobias Klausmann gentoo-dev 2008-12-23 20:28:38 UTC
Stable on alpha. I had made the edits but forgot to commit. Fixed.
Comment 26 Markus Meier gentoo-dev 2008-12-25 12:25:54 UTC
x86 stable
Comment 27 Raúl Porcel (RETIRED) gentoo-dev 2009-04-05 17:58:15 UTC
arm/sh stable, i think, closing.